import Dot from './Dot';
import classes from './styles.module.scss';
const DotWell = function DotWell(props) {
  const {
    count,
    selectedCardIndex,
    setSelectedCardIndex,
    clearAutoRotate
  } = props;
  return <div className={classes.container} role="button" aria-hidden="true">
      {Array.from({
      length: count
    }).map((_, idx) => <Dot
    // eslint-disable-next-line react/no-array-index-key
    key={idx} idx={idx} selectedCardIndex={selectedCardIndex} setSelectedCardIndex={setSelectedCardIndex} clearAutoRotate={clearAutoRotate} />)}
    </div>;
};
export default DotWell;